for (indep in verifications$independent) {
print(indep)
  if (length(indep) == 1) {
    info(logger,
         paste(" #*****************************************#",
               " # Starting Independent verification of Indicator ",
               indep,
               sep = "\n"))
    ind_table <- read_yaml(paste0(conf$code_dir,
                           "conf/indicators_table.yml"))
    variable <- ind_table[indep[[1]]][[1]]$ECVs
    store.freq <- ind_table[indep[[1]]][[1]]$freq
    ind.fun <- ind_table[indep[[1]]][[1]]$fun
  } else {
    info(logger,
         paste(" #*****************************************#",
               " # Starting Independent verification of ECV ",
                paste(indep, collapse = ' '),
               sep = "\n"))
    variable <- indep$name
    store.freq <- indep$freq
    ind.fun <- NULL
  }
  hcst.inityear <- recipe$Analysis$Time$hcst_start
  hcst.endyear <- recipe$Analysis$Time$hcst_end
  ltmin <- recipe$Analysis$Time$leadtimemin
  ltmax <- recipe$Analysis$Time$leadtimemax
  lats.min <- recipe$Analysis$Region$Regional[[1]]$latmin
  lats.max <- recipe$Analysis$Region$Regional[[1]]$latmax
  lons.min <- recipe$Analysis$Region$Regional[[1]]$lonmin
  lons.max <- recipe$Analysis$Region$Regional[[1]]$lonmax
  stream <- verifications$stream
  # Is multimodel FALSE
  if (recipe$Analysis$Datasets$Multimodel) {
    # is there a multimodel load step in S2S4E backend?
  } else {
    for (sys in 1:length(recipe$Analysis$Datasets$System)) {
      fcst.name <- recipe$Analysis$Datasets$System[[sys]]$name
      for (ref in 1:length(recipe$Analysis$Datasets$Reference)) {
        ref.name <- recipe$Analysis$Datasets$Reference[[ref]]$name
        for (sdate in verifications$fcst.sdate) {
          fcst.sdate <- sdate
          source("modules/data_load/seas5.load.R")
        }
      }
    }
  }
}

